Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.event
Class TaskEventSupport

    java.lang.Object
      org.drools.core.event.AbstractEventSupport<TaskEventListener>
          org.jbpm.task.event.TaskEventSupport

All Implemented Interfaces:
  Externalizable, Serializable

    public class TaskEventSupport

extends org.drools.core.event.AbstractEventSupport<TaskEventListener>

See Also:
  Serialized Form

Constructor Summary
`TaskEventSupport()`

Method Summary
`void` | `fireTaskClaimed(long taskId, String userId, int sessionId)`
`void` | `fireTaskCompleted(long taskId, String userId, int sessionId)`
`void` | `fireTaskCreated(long taskId, String userId, int sessionId)`
`void` | `fireTaskFailed(long taskId, String userId, int sessionId)`
`void` | `fireTaskForwarded(long taskId, String userId, int sessionId)`
`void` | `fireTaskReleased(long taskId, String userId, int sessionId)`
`void` | `fireTaskSkipped(long taskId, String userId, int sessionId)`
`void` | `fireTaskStarted(long taskId, String userId, int sessionId)`
`void` | `fireTaskStopped(long taskId, String userId, int sessionId)`
`void` | `reset()`

Methods inherited from class org.drools.core.event.AbstractEventSupport
`addEventListener, clear, getEventListeners, getEventListenersIterator, isEmpty, readExternal, removeEventListener, removeEventListener, size, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskEventSupport

    public TaskEventSupport()

Method Detail

### fireTaskClaimed

    public void fireTaskClaimed(long taskId,
                                String userId,
                                int sessionId)

### fireTaskCompleted

    public void fireTaskCompleted(long taskId,
                                  String userId,
                                  int sessionId)

### fireTaskFailed

    public void fireTaskFailed(long taskId,
                               String userId,
                               int sessionId)

### fireTaskSkipped

    public void fireTaskSkipped(long taskId,
                                String userId,
                                int sessionId)

### fireTaskCreated

    public void fireTaskCreated(long taskId,
                                String userId,
                                int sessionId)

### fireTaskForwarded

    public void fireTaskForwarded(long taskId,
                                  String userId,
                                  int sessionId)

### fireTaskStarted

    public void fireTaskStarted(long taskId,
                                String userId,
                                int sessionId)

### fireTaskReleased

    public void fireTaskReleased(long taskId,
                                 String userId,
                                 int sessionId)

### fireTaskStopped

    public void fireTaskStopped(long taskId,
                                String userId,
                                int sessionId)

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.